CREATE TABLE bm_cm_action (
    ID                              NUMBER(18, 0) ,
    COMPANY_ID                      NUMBER(18, 0)     NOT NULL,
    PROCESS_ID                      NUMBER(18, 0)     NOT NULL,
    DOC_ID                          NUMBER(18, 0)     NOT NULL,
    LABEL                           VARCHAR2(1020),
    VARIABLE_NAME                   VARCHAR2(1020),
    DESCRIPTION                     VARCHAR2(4000),
    DESTINATION_ID                  NUMBER(18, 0)     NOT NULL,
    DESTINATION_TYPE                NUMBER(5, 0)      NOT NULL,
    TYPE_                           VARCHAR2(1020),
    USAGE_TYPE                      NUMBER(5, 0)  ,
    INTEGRATION_XML                 CLOB          ,
    DATE_ADDED                      DATE              NOT NULL,
    DATE_MODIFIED                   DATE          ,
    RULE_META_ID                    NUMBER(18, 0) ,
    VALIDATION_TYPE                 NUMBER(5, 0)  ,
    DEST_RULE_META_ID               NUMBER(18, 0) ,
    NAME_RULE_META_ID               NUMBER(18, 0) ,
    FROM_RULE_META_ID               NUMBER(18, 0) ,
    TO_RULE_META_ID                 NUMBER(18, 0) ,
    SUBJECT_RULE_META_ID            NUMBER(18, 0) ,
    COMMENT_RULE_META_ID            NUMBER(18, 0) ,
    ATTACH_RULE_META_ID             NUMBER(18, 0) ,
    MODIFY_RULE_META_ID             NUMBER(18, 0) ,
    SHOW_LOADING_DIALOG             NUMBER(1, 0)      NOT NULL,
    ADDITIONAL                      VARCHAR2(4000),
    EMAIL_NOTIFICATION_KEYWORD      VARCHAR2(512) ,
    APPROVAL_COMMENT_MAPPING        NUMBER(18, 0) ,
    ICON_FILE_RELATIVE_PATH         VARCHAR2(4000),
    PARENT_ACTION_ID                NUMBER(18, 0) ,
    APPROVAL_NOTIFICATION_ID        NUMBER(18, 0) ,
    RESET_REASON_TYPE               NUMBER(1, 0)  ,
    RESET_REASON_META_ID            NUMBER(18, 0) ,
    EVAL_REASON_TREE                NUMBER(1, 0)      NOT NULL,
    GUID                            VARCHAR2(4000)    NOT NULL,
    PRE_MODIFY_RULE_META_ID         NUMBER(18, 0) ,
    IS_REMOTE                       NUMBER(1, 0)  ,
    REMOTE_APPROVAL_RULE_META_ID    NUMBER(18, 0) ,
    CONTINUE_ON_TIMEOUT             NUMBER(1, 0)      NOT NULL,
    AUTO_UNLOCK                     NUMBER(1, 0)      NOT NULL,
    TIMEOUT                         NUMBER(18, 0)     NOT NULL,
    PRE_VALIDATE                    NUMBER(1, 0)      NOT NULL,
    CC_RULE_META_ID                 NUMBER(18, 0) ,
    BCC_RULE_META_ID                NUMBER(18, 0) ,
    STD_SYS_OBJ                     NUMBER(1, 0)  ,
    STD_PRE_MODIFY_RULE             NUMBER(1, 0)  ,
    STD_MODIFY_RULE                 NUMBER(1, 0)  ,
    STD_DESTINATION                 NUMBER(1, 0)  ,
    STD_RESET_REASONS               NUMBER(1, 0)  ,
    ALWAYS_RUN_PRICING              NUMBER(1, 0)  ,
    PROMPT_NAME                     VARCHAR2(512) ,
    ID                              NUMBER(18, 0) ,
    COMPANY_ID                      NUMBER(18, 0)     NOT NULL,
    PROCESS_ID                      NUMBER(18, 0)     NOT NULL,
    DOC_ID                          NUMBER(18, 0)     NOT NULL,
    LABEL                           VARCHAR2(1020),
    VARIABLE_NAME                   VARCHAR2(1020),
    DESCRIPTION                     VARCHAR2(4000),
    DESTINATION_ID                  NUMBER(18, 0)     NOT NULL,
    DESTINATION_TYPE                NUMBER(5, 0)      NOT NULL,
    TYPE_                           VARCHAR2(1020),
    USAGE_TYPE                      NUMBER(5, 0)  ,
    INTEGRATION_XML                 CLOB          ,
    DATE_ADDED                      DATE              NOT NULL,
    DATE_MODIFIED                   DATE          ,
    RULE_META_ID                    NUMBER(18, 0) ,
    VALIDATION_TYPE                 NUMBER(5, 0)  ,
    DEST_RULE_META_ID               NUMBER(18, 0) ,
    NAME_RULE_META_ID               NUMBER(18, 0) ,
    FROM_RULE_META_ID               NUMBER(18, 0) ,
    TO_RULE_META_ID                 NUMBER(18, 0) ,
    SUBJECT_RULE_META_ID            NUMBER(18, 0) ,
    COMMENT_RULE_META_ID            NUMBER(18, 0) ,
    ATTACH_RULE_META_ID             NUMBER(18, 0) ,
    MODIFY_RULE_META_ID             NUMBER(18, 0) ,
    SHOW_LOADING_DIALOG             NUMBER(1, 0)      NOT NULL,
    ADDITIONAL                      VARCHAR2(4000),
    EMAIL_NOTIFICATION_KEYWORD      VARCHAR2(512) ,
    APPROVAL_COMMENT_MAPPING        NUMBER(18, 0) ,
    ICON_FILE_RELATIVE_PATH         VARCHAR2(4000),
    PARENT_ACTION_ID                NUMBER(18, 0) ,
    APPROVAL_NOTIFICATION_ID        NUMBER(18, 0) ,
    RESET_REASON_TYPE               NUMBER(1, 0)  ,
    RESET_REASON_META_ID            NUMBER(18, 0) ,
    EVAL_REASON_TREE                NUMBER(1, 0)      NOT NULL,
    GUID                            VARCHAR2(4000)    NOT NULL,
    PRE_MODIFY_RULE_META_ID         NUMBER(18, 0) ,
    IS_REMOTE                       NUMBER(1, 0)  ,
    REMOTE_APPROVAL_RULE_META_ID    NUMBER(18, 0) ,
    CONTINUE_ON_TIMEOUT             NUMBER(1, 0)      NOT NULL,
    AUTO_UNLOCK                     NUMBER(1, 0)      NOT NULL,
    TIMEOUT                         NUMBER(18, 0)     NOT NULL,
    PRE_VALIDATE                    NUMBER(1, 0)      NOT NULL,
    CC_RULE_META_ID                 NUMBER(18, 0) ,
    BCC_RULE_META_ID                NUMBER(18, 0) ,
    STD_SYS_OBJ                     NUMBER(1, 0)  ,
    STD_PRE_MODIFY_RULE             NUMBER(1, 0)  ,
    STD_MODIFY_RULE                 NUMBER(1, 0)  ,
    STD_DESTINATION                 NUMBER(1, 0)  ,
    STD_RESET_REASONS               NUMBER(1, 0)  ,
    ALWAYS_RUN_PRICING              NUMBER(1, 0)  ,
    PROMPT_NAME                     VARCHAR2(512) ,
    CONSTRAINT pk_bm_cm_action PRIMARY KEY (ID, ID)
);
